Subject: Re: bug#16179: 24.3.50; darwin: ls-lisp-use-insert-directory-program=nil => bad formatting

From: Eli Zaretskii <[email-masked]>
Date: Tue, 17 Dec 2013 23:05:01 +0200

> Date: Tue, 17 Dec 2013 15:37:58 -0500
> From: Sam Steingold <[email-masked]>
> Cc: [email-masked]
> 
> > In that Dired buffer, what are the values of ls-lisp-filesize-d-fmt
> > and ls-lisp-filesize-f-fmt?  I suspect they are " %2d" and " %2.0f"
> > respectively.
> 
> indeed.
> 
> > If that is so, please step through
> > ls-lisp-insert-directory in a debugger and see why it doesn't account
> > for file sizes that have more than 2 digits in them.
> 
> the `(memq ?s switches)' branch is taken.
> 
> > Did you invoke Dired with some non-default switches, btw, as in
> > "C-u C-x d"?
> 
> I customize dired-listing-switches to "-als".
> the "s" caused the problem.

Right, it looks like it prepares to display size in blocks, but
actually displays in bytes.  I will take a look.  Thanks.